summaryrefslogtreecommitdiff
path: root/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
diff options
context:
space:
mode:
authorChristian Lamparter <chunkeey@googlemail.com>2016-10-05 14:53:11 +0200
committerJohn Crispin <john@phrozen.org>2016-10-15 11:36:50 +0200
commit098f7156cc68d07a8eed9574c76b90c7ade77026 (patch)
tree57d71f1eef6e8fa33320a617dee42309ebbf41c3 /target/linux/ar71xx/base-files/lib/upgrade/platform.sh
parente9455c561d4af68840421e3d442e4ad5ebfbedc6 (diff)
downloadmtk-20170518-098f7156cc68d07a8eed9574c76b90c7ade77026.zip
mtk-20170518-098f7156cc68d07a8eed9574c76b90c7ade77026.tar.gz
mtk-20170518-098f7156cc68d07a8eed9574c76b90c7ade77026.tar.bz2
ar71xx: add support for the Airtight C-60
This patch adds support for the Airtight C-60. SOC: Atheros AR9344 rev 2 (CPU:560.000MHz) RAM: 128 MiB NOR: MX25L3205D 4MiB NAND: ST Micro NAND 32MiB 3,3V 8-bit SW-NET: AR8327N (2 Ports) WLAN1: Dual-Band AR9340 Rev:2 (built-in SoC) WLAN2: Dual-Band AR9300 Rev:4 PCIe Chip The switch is setup for an accesspoint: LAN1: (gigabit) is the wan-port. LAN2: (fast ethernet) is bridged with the br-lan. Flashing Guide (via initramfs): 1. Connect a PC to the serial port of the C-60. power up the C-60. Enter u-boot command prompt: #> nand erase #> setenv bootcmd "bootm 0x9f060000" #> saveenv #> setenv ipaddr 192.168.1.1 #> setenv netmask 255.255.255.0 #> setenv serverip 192.168.1.100 #> setenv bootfile lede-ar71xx-nand-c-60-initramfs-kernel.bin #> tftpboot #> bootm 2. Wait for the C-60 to boot LEDE. On the root prompt. Enter: # ubiformat /dev/mtd4 # ubiattach -p /dev/mtd4 3. After that copy the sysupgrade.tar onto the router and run: # sysupgrade sysupgrade.tar to flash the image. Special thanks to Chris Blake <chrisrblake93@gmail.com>. He provided a C-60 unit and he helped with debugging the switch, LEDs and platfrom support. Signed-off-by: Christian Lamparter <chunkeey@gmail.com>
Diffstat (limited to 'target/linux/ar71xx/base-files/lib/upgrade/platform.sh')
-rwxr-xr-xtarget/linux/ar71xx/base-files/lib/upgrade/platform.sh24
1 files changed, 13 insertions, 11 deletions
diff --git a/target/linux/ar71xx/base-files/lib/upgrade/platform.sh b/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
index 010442c..7c554e3 100755
--- a/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
+++ b/target/linux/ar71xx/base-files/lib/upgrade/platform.sh
@@ -424,6 +424,14 @@ platform_check_image() {
tew-673gru)
dir825b_check_image "$1" && return 0
;;
+ c-60|\
+ nbg6716|\
+ r6100|\
+ wndr3700v4|\
+ wndr4300)
+ nand_do_platform_check $board $1
+ return $?
+ ;;
cpe210|\
cpe510)
tplink_pharos_check_image "$1" && return 0
@@ -485,13 +493,6 @@ platform_check_image() {
return 0
;;
- nbg6716|\
- r6100|\
- wndr3700v4|\
- wndr4300)
- nand_do_platform_check $board $1
- return $?
- ;;
tube2h)
alfa_check_image "$1" && return 0
return 1
@@ -537,16 +538,17 @@ platform_pre_upgrade() {
local board=$(ar71xx_board_name)
case "$board" in
- mr18|\
- z1)
- merakinand_do_upgrade "$1"
- ;;
+ c-60|\
nbg6716|\
r6100|\
wndr3700v4|\
wndr4300)
nand_do_upgrade "$1"
;;
+ mr18|\
+ z1)
+ merakinand_do_upgrade "$1"
+ ;;
esac
}